<div class="container">

    <h1>Settings</h1>

    <p>Memory: <span class="settings_memory_cache_size"><%= settings_memory_cache_size %></span>GB
        <br/>
        <input type="range" style="width:50%;padding: 0 8px;" id="settings-memory-cache-size" step="0.5" min="0.5"
               max="<%= (settings_max_memory / (1024 * 1024 * 1024)) | 0 %>"
               value="<%= settings_memory_cache_size %>">
        <br/><br/>
        <%= messages_current %> of <%= messages_count %> Total Messages Received
        (pruned <%- (messages_count - messages_current) %> for memory)
    </p>

    <p><label for="warn_republish" class="noselect"><input id="warn_republish"
                                                           type="checkbox" <%= warnRepublish ? "checked='checked'" : "" %>/><span
                    class="input-checkbox-icon"> Warn before republishing</span></label></p>
</div>